For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Rename a Team

Base URL: https://cloud.mongodb.com/api/public/v1.0

PATCH /orgs/{ORG-ID}/teams/{TEAM-ID}
Path Element
Required/Optional
Description

ORG-ID

Required

The unique identifier for the organization associated with the team that you want to rename.

TEAM-ID

Required

The unique identifier of the team that you want to rename.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether to return the response body in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

Path Element
Required/Optional
Description

name

Required

The new name of the team.

Name
Type
Description

id

string

The unique identifier for the team.

links

object array

One or more links to sub-resources and/or related resources. The relation-types between URLs are explained in the Web Linking Specification.

name

string

The new name of the team.

curl -X PATCH --digest --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --header "Content-Type: application/json" \
"https://cloud.mongodb.com/api/public/v10/orgs/6006bd5780eef53d35e9f74e/teams/6b77131987d9d66ddeb3f907?pretty=true" \
--data '{"name":"Finance"}'
{
"id" : "6b77131987d9d66ddeb3f907",
"links" : [ {
"href" : "https://cloud.mongodb.com/api/public/v1.0/orgs/6006bd5780eef53d35e9f74e/teams/6b77131987d9d66ddeb3f907",
"rel" : "self"
} ],
"name" : "Finance"
}